Package org.apache.tapestry5.commons.internal.services

## Class DefaultDataTypeAnalyzer

- java.lang.Object
- - org.apache.tapestry5.commons.internal.services.DefaultDataTypeAnalyzer

- All Implemented Interfaces:
    `java.lang.Runnable`, `DataTypeAnalyzer`

      public class DefaultDataTypeAnalyzer
      extends java.lang.Object
      implements DataTypeAnalyzer, java.lang.Runnable

  The default data type analyzer, which is based entirely on the type of the property (and not on annotations or naming conventions). This is based on a configuration of property type class to string provided as an IoC service configuration.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultDataTypeAnalyzer​(java.util.Map<java.lang.Class,​java.lang.String> configuration)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `identifyDataType​(PropertyAdapter adapter)` | Identifies the data type, if known, or returns null if not known.
    `void` | `run()` | Clears the registry on an invalidation event (this is because the registry caches results, and the keys are classes that may be component classes from the invalidated component class loader).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDataTypeAnalyzer

          public DefaultDataTypeAnalyzer​(java.util.Map<java.lang.Class,​java.lang.String> configuration)

  - ### Method Detail

    - #### run

          public void run()

      Clears the registry on an invalidation event (this is because the registry caches results, and the keys are classes that may be component classes from the invalidated component class loader).
      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### identifyDataType

          public java.lang.String identifyDataType​(PropertyAdapter adapter)

      Description copied from interface: `DataTypeAnalyzer`
      Identifies the data type, if known, or returns null if not known.
      Specified by:
        `identifyDataType` in interface `DataTypeAnalyzer`